Package Details: wps-office 10.1.0.5672_a21-1

Git Clone URL: https://aur.archlinux.org/wps-office.git (read-only)
Package Base: wps-office
Description: Kingsoft Office (WPS Office) is an office productivity suite
Upstream URL: http://wps-community.org/
Licenses: custom
Conflicts: kingsoft-office
Submitter: felixonmars
Maintainer: felixonmars
Last Packager: felixonmars
Votes: 273
Popularity: 12.127529
First Submitted: 2014-08-17 11:57
Last Updated: 2016-06-25 08:36

Sources (2)

Latest Comments

Geequlim commented on 2016-06-27 03:13

Application freezed with simplifed Chinese desktop environment.

mathholic commented on 2016-06-26 05:18

WPS Office for Linux Alpha21[2016-06-24]
What's new:

Bug fixes and stability improvements.

banshee commented on 2016-06-24 07:53

There is WPS Office for Linux Alpha21 [2016-06-24] released.
See http://wps-community.org/downloads for details.

jackycheng86 commented on 2016-06-21 00:54

Now wps can be install from archlinuxcn repo
[archlinuxcn]
SigLevel = Optional TrustedOnly
Server = https://cdn.repo.archlinuxcn.org/$arch

cgentry1972 commented on 2016-06-17 12:42

lilydjwg OMG Thanks so much.. Didn't know what I was going to do without WPS LOL

butaford commented on 2016-06-17 12:08

lilydjwg, Thanks

lilydjwg commented on 2016-06-16 23:31

cgentry1972: You can install wps-office from the [archlinuxcn] repo. Here's a direct link to the package: https://cdn.repo.archlinuxcn.org/x86_64/wps-office-10.1.0.5503_a20p2-1-x86_64.pkg.tar.xz

cgentry1972 commented on 2016-06-16 20:32

As mentioned earlier I believe the WPS Office team are working on an updated Linux version. Hopefully this will appear here shortly as well. It's such a great program but I recently switched to Monjaro from Mint and lost WPS.

konig commented on 2016-06-16 17:31

Does anyone know if this project is dead in the water? It would be a real shame...

mathholic commented on 2016-06-15 16:20

Due to some reasons, all of the old version of WPS Office for Linux Community is down, we will push a new version as soon as possible. (2016/06/02)

mailme45 commented on 2016-06-12 19:14

404 error, will not download. This is because WPS took all Linux downloads offline for whatever reason.

helix commented on 2016-04-23 08:16

Added two new dictionaries: wps-office-extension-croatian-dictionary and wps-office-extension-polish-dictionary

ntitco1 commented on 2016-04-11 20:12

@rockrij I find including the option -style qt when launching solve the problem

kprkpr commented on 2016-04-07 07:49

Why that in the pkgbuild? PKGEXT=".pkg.tar"
Without that, it compress the pkg into .pkg.tar.xz and results in a lot less hdd space to store it (Like almost all the pkgs in aur..)

vise890 commented on 2016-03-18 12:19

I was not able to install it from pacaur. Manual install worked..

mailme45 commented on 2016-03-01 19:57

wps-office needs ttf-wps-fonts to avoid a sluggish start. perhaps this should be included as well?

rockrij commented on 2016-02-26 06:00

@Rainmaker, the problem is not with the icons. the cells in spreadsheet adapts the desktop theme. if the theme is light the cells are light too. if the theme is dark, the cells are dark too. the problem is with the cells, not icons. i don't have menu icon problems like yours, mine is fine. everything is fine except for the cells in spreadsheet.

Rainmaker commented on 2016-02-24 01:02

@rockrij; if you want to "fix" that (though I'm pretty sure it's actually "works as designed"), open the icons in /usr/share/<GTK Theme>/apps/<size>/wps-office* in GIMP and remove the transparency.

The images have (I think intentionally) transparent edges, which causes the color of the icon to adept to your desktop theme.

rockrij commented on 2016-02-23 02:23

I'm using Xfce. When using a dark GTK theme, WPS Spreadsheet's cells become dark too. I searched a lot but I can't find a fix.

Rainmaker commented on 2016-02-22 14:59

Installed this application. It works, but the icons in the system menu are not displayed.

Looking at the files installed, the icons will only work with hicolor, Captiva or Hawaii icon theme, and not with the default Adwaita theme.

Any reason why these icons are not installed for the Adwaita theme?

brittyazel commented on 2016-02-03 00:38

Ok I figured out what was wrong with installing with Pacaur, and got it patched upstream.

wuji commented on 2016-01-24 13:08

aur好好用,这都行

brittyazel commented on 2016-01-19 05:07

still will not install with Pacaur or Packer

bubbles commented on 2016-01-14 13:22

Alpha20 Patch1 已经更新。

brittyazel commented on 2015-12-23 02:40

Ok installing and updating through pacaur is what gave me the issues below. Manually building results in a successfull install, however it does get hung for an abnormal amount of time on the installing phase.

Something is weird with regards to pacaur though.

brittyazel commented on 2015-12-23 02:33

The latest install does not seem to be working for me. Updating resulted in me still being on version 9.1. Uninstalling and reinstalling results in having no wps-office entries in my programs list. Trying to uninstall told me that it wasn't installed.

The install isn't reporting any errors however.

bubbles commented on 2015-12-21 08:08

WPS Office for Linux Alpha20[2015-12-21]
http://wps-community.org/download.html
麻烦更新一下,谢谢。

blucell commented on 2015-11-13 21:36

Same for me. 'WPS Writer' crashes at startup with:
/usr/bin/wps: line 38: 4841 Segmentation fault (core dumped) ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"
and so does 'WPS Presentation' when I press F5.

brittyazel commented on 2015-10-21 22:03

As of today, I cannot open presentation documents. I just continuously get the force quit message

SB_1611 commented on 2015-08-24 20:35

The package installs a system-wide defaults.list and mimeapps.list. That makes it impossible to default to a different word processor without having to 'sudo rm /usr/share/applications/*.list' every time. Very annoying...

lilydjwg commented on 2015-08-19 14:53

We really need a git hook to regenerate .SRCINFO...

wenLiangcan commented on 2015-08-19 14:11

@felixonmars I think you forgot to re-generate .SRCINFO.

wenLiangcan commented on 2015-08-19 14:07

9.1.0.4975~a19p1 is out.

DungSherlock commented on 2015-08-18 00:23

Cannot show any data from excel file format .xlsx
Please fix soon!

felixonmars commented on 2015-08-17 16:58

Both reproduced here. I have forwarded the issues to upstream developer. Thanks for reporting!

gnunn commented on 2015-08-17 16:34

I'm getting a couple of new issues with docx and xlsx formats in a19 as follows:

- WPS Writer crashes with a segmentation fault when saving a file in docx format

- WPS Spreadsheet will not show any data (i.e. no values in any cells) when opening a xlsx spreadsheet

gnunn commented on 2015-08-17 15:18

Anyone else getting a segmentation fault when saving a document in .docx format with the new a19 version?

Xiaoming94 commented on 2015-08-17 05:02

New releases today: http://wps-community.org/download.html

Alister.Hood commented on 2015-07-27 10:04

Hmmm. Their servers seem to be having problems for a few days, leading to very small text file downloads and:
==> ERROR: One or more files did not pass the validity check!

helix commented on 2015-05-13 08:48

Due to changes in new version of wps-office, all dictionaries have been updated. A new one has been added as well: wps-office-extension-spanish-catalan-dictionary

acgtyrant commented on 2015-05-07 01:33

source 404

ryanvade commented on 2015-05-01 22:09

Is anyone else having problems with printing? WPS is saying I don't have CUPS libraries though I do have them installed. When I try to print it segfaults:
(wps:16488): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",
/usr/bin/wps: line 31: 16488 Segmentation fault (core dumped) ${gInstallPath}/office6/${gApp} ${gOpt} "$@"

patsfanczar commented on 2015-04-08 01:46

@man1gold: It sounds like your clock is off, or you otherwise have an outside key issue.

patsfanczar commented on 2015-04-08 01:24

@man1gold Sounds like a separate key issue
try running "pacman-key --init" as root and see if that works.

man1gold commented on 2015-04-01 14:11

(4/4) verificando chaves no chaveiro [###############################################################] 100%
baixando chaves necessárias...
erro: key "4D09DB8DE73F68F6" could not be looked up remotely
erro: faltando chave necessária no chaveiro
erro: falha em submeter a transação (erro inesperado)
Ocorreram erros e, portanto, nenhum pacote foi atualizado.

kingr4t commented on 2015-03-16 09:53

added

depends=('lib32-libpng12')

lybin commented on 2015-02-26 03:38

@artem.jackson, right, top, where the close button, icon with the letter A. I didn't tried.

poincare commented on 2015-02-12 17:38

How can I install this on my armv7l processor? This seems to only be an x86 version.

artem.jackson commented on 2015-02-06 07:41

Is it possible to use russian language in wps office gui?

sergioad commented on 2015-01-18 14:22

well I saw the problem; the compiled WPS office package has wrong version numbers, please check the PKGbuilds and other things

sergioad commented on 2015-01-18 10:44

Hello friend can you fuse the wpsoffice and wpsoffice-common packages into one? having both separated causes some issues on Arch, when I install WPSOffice I have a permanen upgrade advice to upgrade wpsoffice-common so I need to uninstall it some times

helix commented on 2015-01-07 23:01

I just uploaded packages with dictionaries for 18 languages. You can add them in optional deps if you want. Enjoy!

anex commented on 2015-01-06 06:16

can you please fix your package build, when you build it it builds wpsoffice as 1.2 and not "wpsoffice-9.1.0.4945~a16p3-1-any.pkg.tar.xz" so octopi just repeats there is a upgrade when there is not

LeonardK commented on 2015-01-02 19:28

why dont you use the tar.xz release and how is this one different from this pkg:
https://aur.archlinux.org/packages/wps-office/
?

felixonmars commented on 2014-12-23 07:27

@jaydoc
There are no 64-bit releases for quite some time (and not likely, in the foreseeable future).

This PKGBUILD will install the 32-bit version with the help of [multilib] repo.

jaydoc commented on 2014-12-23 01:00

Is this suitable for a 64-bit system? WPS office was supposed to have a 64-bit version but the PKGBUILD seems to require 32 bit?

xBytez commented on 2014-11-27 22:26

@Aetf I can still download from the source specified too.. but here's a mirror for you: https://xbytez.eu/dl/wps-office_9.1.0.4937~a16p2_x86.tar.xz

shmilee commented on 2014-11-14 09:17

1) According to the notes of A16 in url: wps-community.org/download.html, I think the language packages can be removed from AUR now.

2) The version of wpsoffice-common will be fixed in 1.2 util the depends(libsm, libcups, etc) for wps change.
aur/wpsoffice-common 1.2-1 -> 9.1.0.4909~a16p1-1.
That is a mistake made by command `mkaurball`. Sorry for losing sight of that.
It seems that `mkaurball` behaves differently from `makepkg` in some details.

hotleave commented on 2014-11-14 02:01

"wpsoffice-zh-cn" depends on "wpsoffice" ->
"wpsoffice" depends on "wpsoffice-common" ->
"wpsoffice-common" conflicts with "wpsoffice-zh-cn"

what's a strange thing~~~ Please check this.

The "wpsoffice" and "wpsoffice-common" use the same source package, update wps-common will reinstall wpsoffice, also a strange thing.

Aetf commented on 2014-11-13 08:38

Got 'cannot connect to the server' if I open the link in browser, but I didn't remember it showing any exact error code.

Anyway, the link is working now. Maybe just temporary network problem. :)

felixonmars commented on 2014-11-10 10:48

What error did you get? I can still download from the current source at the moment.

Aetf commented on 2014-11-10 08:11

Can't download from the source for several days. Not sure it is my local network's or the server's problem. And two mirrors listed on download page of official site only contains a15 packages.
Anyone have another mirror available?

Thanks.

felixonmars commented on 2014-11-07 06:34

@darioshanghai
It works without a problem here. I'd suggest to report to upstream, thanks.

darioshanghai commented on 2014-11-02 01:43

Won't let me change page size, it'll freeze. Removing lib32-libcups, now it crashes instantly. I'm on an x64 machine... maybe the issue is with 64 bits? Ideas? I really love the word processor.

marlock commented on 2014-11-01 12:23

There is recursive upgrading.
==> Software upgrade (new version) :
aur/wpsoffice-common 1.2-1 -> 9.1.0.4909~a16p1-1
But after building package has version 1.2-1 and this repeats.

Please, move pkgver=${_pkgver} from line 52 to line 34 (before package_wpsoffice-common() function) and remove version dependency from "wpsoffice-common=1.2"

brittyazel commented on 2014-10-31 04:42

New version released: Alpha 16 patch 1

pingplug commented on 2014-10-30 14:50

et segv after a recent system update...

QGtkStyle could not resolve GTK. Make sure you have installed the proper libraries.
/usr/bin/et: line 31: 1269 Segmentation fault (core dumped) ${gInstallPath}/office6/${gApp} ${gOpt} "$@"

ryanvade commented on 2014-10-23 00:27

It seems libcups2 is needed now. Which is not available by the way.

tocer commented on 2014-10-22 03:12

sha1sum changed: 7ec90d7dd75cd2783e5a7d4c578b70f288a57198

felixonmars commented on 2014-10-17 03:00

@johnsmeeth
You need to set correct environment variables for XIM. I can input vietnam characters with fcitx-unikey just fine: http://i.imgur.com/xhPY3Cu.png

johnsmeeth commented on 2014-10-17 02:40

How can i type unicode like vietnamese on this software (i am using ibus-unikey to type vietnamese)

lilydjwg commented on 2014-10-02 08:25

为什么非中文用户就是自由的 phpbb,中文用户非要用难受又限制重重、等级分明的 Discuz 呢…………

felixonmars commented on 2014-10-02 08:15

要反馈问题, 中文用户请到 http://bbs.wps.cn/forum-wpslinux-1.html

To report a bug, non-chinese users goes to http://wps-community.org/forum/

yangzhou commented on 2014-10-02 08:13

@felixonmars
还是有bug,请问如何报告到上游啊,我是新人,感谢。

yangzhou commented on 2014-10-02 08:06

还是有bug,请问如何报告到上游啊,我是新人,感谢。

gurqn commented on 2014-09-25 17:40

I was pointing out source to europe for downloading fast.. I've just downloaded archive from main mirror now and everything okay. Sorry for the false alarm.

shmilee commented on 2014-09-25 12:45

@leafonsword
package_wpsoffice conflicts with wpsoffice-templates-en-US and wpsoffice-en-US, sorry for that.

felixonmars commented on 2014-09-25 09:48

@gurqn
Cannot reproduce here. The checksums shouldn't be skipped either.

gurqn commented on 2014-09-24 20:14

==> Validating source files with sha1sums...
wps-office_9.1.0.4751~a15_x86.tar.xz ... Skipped
==> Extracting sources...
-> Extracting wps-office_9.1.0.4751~a15_x86.tar.xz with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
cp: cannot stat ‘resource/applications/*’: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build wps-office.


:)

leafonsword commented on 2014-09-24 03:27

error: failed to commit transaction (conflicting files)
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/en_US.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/lang.conf exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Cubical.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Cubical.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Grid.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Grid.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Natural.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Natural.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Newsprint.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Newsprint.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Standard.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Business/Standard.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Austere.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Austere.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/BlackAndWhite.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/BlackAndWhite.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Design.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Design.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Exposure.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Exposure.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Pattern.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Pattern.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Puzzle.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Puzzle.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Sailboat.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Resume/Sailboat.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Austere.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Austere.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/General.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/General.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Line.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Line.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Pinstripe.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Pinstripe.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Professional.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/lengthwise/Thesis/Professional.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Arrow.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Arrow.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Dots.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Dots.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Line.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Line.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Newsprint.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Newsprint.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Stacks.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Stacks.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Traditional.doc exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/coverpage/buildin/transverse/transverse/Traditional.png exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Business/Amortization.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Business/Balance Sheet.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Business/Expense Statement.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Business/Invoice.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Business/Sales Analysis.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Business/Start-up Expenses.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Education/Grading Sheet.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Office/Schedule.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Office/Telephone List.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Personal/Home Analysis.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Personal/Monthly Budget_Family.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/et/Personal/Women Fitness.ett exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Art_mountaineering.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Blue Waves.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Business Cooperate.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Communications and Dialogues.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Data Pie Charts.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Gear Drives.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Green Color.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/presentationdesigns/Orange Waves.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Business/Business_business Affair.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Business/Communications and Dialogues.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Business/Data Pie Charts.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Business/Global Plan.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Education/Books.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Education/Daily_loose-leaf Binder.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Education/Small Blackbord.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wpp/Education/Stationery.dpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Business/Connference Announcment.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Business/Memo.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Business/Memorandum Confidential.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Business/Patent License Agreement.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Daily Life/Standard Email.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Education/Bachelor Thesis.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Education/Seminar Report.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Letters and Faxes/Business Fax.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Letters and Faxes/Business Letter with Enclosed.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Letters and Faxes/Personal Letter.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Letters and Faxes/Personal to Business Letter.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Letters and Faxes/Standard Business Letter.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Letters and Faxes/Standard Fax.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Personal/Cover Letter.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Personal/Emergency Contact List.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Personal/Functional Resume.wpt exists in filesystem
wpsoffice: /opt/kingsoft/wps-office/office6/mui/en_US/templates/wps/Personal/Job Application Email.wpt exists in filesystem
Errors occurred, no packages were upgraded.

lilydjwg commented on 2014-09-22 06:08

If you're using yaourt, run as "TMPDIR=/var/tmp yaourt ...." should work.

felixonmars commented on 2014-09-21 16:24

@watermelonjuice
Well, you could download the source tarball, extract it somewhere on your hard drive, cd into it, and run makepkg inside.

watermelonjuice commented on 2014-09-21 15:49

@felixonmars
it seems tmpfs is filling up during the install...

watermelonjuice commented on 2014-09-20 15:31

@felixonmars
I am using manjaro unstable if it makes any difference. I have 4GB ram, 5GB swap, and 40GB free in my linux partition. Is this enough space?

felixonmars commented on 2014-09-19 09:02

@shimi
Added, thanks.

shimi commented on 2014-09-19 07:12

Please add (optional) dependency lib32-pango for complex (right-to-left) text support.

felixonmars commented on 2014-09-17 02:26

@yangzhou
Bug 请麻烦报告到上游, AUR 这边并没有官方支持.

yangzhou commented on 2014-09-17 02:21

在表格软件中使用按住Ctrl键同时用鼠标拖动一个工作表来复制工作表会导致表格软件直接退出,这是a15新发现的问题,以前的a12没有。

felixonmars commented on 2014-09-11 09:31

@watermelonjuice
Can't reproduce here. Maybe the disk where the build resided was full?

watermelonjuice commented on 2014-09-11 09:21

Building wps-office...
==> Making package: wps-office 9.1.0.4751_a15-1 (Thu Sep 11 19:17:47 AEST 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found wps-office_9.1.0.4751~a15_x86.tar.xz
==> Validating source files with sha1sums...
wps-office_9.1.0.4751~a15_x86.tar.xz ... Passed
==> Extracting sources...
-> Extracting wps-office_9.1.0.4751~a15_x86.tar.xz with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
-> Purging unwanted files...
-> Removing libtool files...
-> Removing static library files...
-> Removing empty directories...
-> Compressing man and info pages...
-> Stripping unneeded symbols from binaries and libraries...
==> Creating package "wps-office"...
-> Generating .PKGINFO file...
-> Adding install file...
-> Generating .MTREE file...
-> Compressing package...
Build process failed.

jqww2002 commented on 2014-09-09 02:55

@felixonmars I'm sorry, yes language packs are included.

felixonmars commented on 2014-09-07 04:24

@jqww2002
Language packs are included in the release already, and installed into /opt/kingsoft/wps-office/office6/mui

jqww2002 commented on 2014-09-06 12:40

language pack please, thanks.

felixonmars commented on 2014-08-18 13:29

@jazzi
Fixed, thanks :)

jazzi commented on 2014-08-18 13:27

Don't forget to install wpsoffice-common-1.2-1 who sits in the same directory as binary you complied.

jazzi commented on 2014-08-18 12:57

Now the "Category" of this package is "none", it would be more clear if it belongs to "Office".

felixonmars commented on 2014-08-16 11:44

@brittyazel
Yes, I'll upload under the correct name and merge this package back :)

brittyazel commented on 2014-08-16 11:34

As kingsoft office is now universally going as WPS office, will this package retain the kingsoft name? It may be confusing for users looking for WPS office, with no prior knowledge of kingsoft office roots

gurqn commented on 2014-08-16 11:27

Ah, I understand now. Thanks a lot for the info and thanks for update on package. Have a good day.

felixonmars commented on 2014-08-16 04:48

The previous tar.xz archive was missing icons/desktop/mime, so a deb was added to extract the missing part (the deb is missing language packs and fonts, on the other hand). Now since I've contacted Kingsoft to fix this and the new tar.xz was uploaded, I'll update the PKGBUILD soon, too.

gurqn commented on 2014-08-16 04:44

Anyone having problem with download speed from europe can use following link;
http://37.247.55.101/a15/ much faster. I wonder why there is .deb in sources ?

dreamingincode commented on 2014-08-16 04:32

The correct sha1sum for http://kdl.cc.ksosoft.com/wps-community/download/a15/wps-office_9.1.0.4751~a15_x86.tar.xz should be 966c56181cb448178243090811aea1cc2429567b

brittyazel commented on 2014-08-12 22:55

timeout during download. The link looks like it's working, but the pkgbuild is failing to download it properly.

felixonmars commented on 2014-08-06 13:14

Kingsoft already provided global CDN for their official source, and I'm going to stick to this as it's actually much faster for Chinese users as well.

marlock commented on 2014-08-06 11:19

Please change mirror to this: http://37.247.55.101/a12p4/
This mirror is much faster.

felixonmars commented on 2014-07-27 12:57

You need to enable [multilib] if you want to use lib32-*

poincare commented on 2014-07-27 12:55

I cannot get this to "build" properly. Yaourt craps out, and thus won't build, with the following error:

==> Install or build missing dependencies for kingsoft-office:
error: target not found: lib32-libpng12
error: target not found: lib32-glu
error: target not found: lib32-libxml2
error: target not found: lib32-libsm

However, if I execute "yaourt -S lib32-libpng12" (or -glu or -libxml2, etc) then yaourt reports such package is not available:
error: target not found: lib32-libpng12

How can I install these lib32* packages when they are not available in AUR...?!


felixonmars commented on 2014-07-09 05:47

@bluerider
Thanks, implemented.

bluerider commented on 2014-07-08 18:13

Please add lib32-libcups and cups as opt-depends for printing support.

evilgnome commented on 2014-06-18 17:12

I actually can't tell what the state of their 64-bit support is.

I downloaded their 64 bit binary and tried to run it as in the readme, and it complained of not finding libX11.so.6, which exists on my system under /usr/lib/.

evilgnome commented on 2014-06-17 21:42

This seems to be hard-coded for 32-bit, though 64-bit is available.

http://wps-community.org/download.html

brittyazel commented on 2014-04-09 07:35

We do not have access to any source code, so compiling ourselves is not really an option

dujiulun2006 commented on 2014-04-09 07:10

The Arch "Right Way" would be to strip the shipped version and build them by ourselves. But I give a thumb up for using them since compiling from AUR is painful.

felixonmars commented on 2014-04-05 06:27

FYI that I just removed {lib32-,}libjpeg6 from dependencies, since kingsoft has shipped it already.

felixonmars commented on 2014-04-04 12:42

Hi Martin,

Updated according to your tweak. Thanks a lot :)

flexiondotorg commented on 2014-04-04 12:20

Hi Felix,

I've been following your license thread on the mailing list. I'm interested in seeing this package gain popularity, it really addresses a need for me. To that end, I've done some tweaking on the PKGBUILD to clean up the `depends` a little, I've not addressed everything yet but the `namcap` report is looking better. You can find my changes in the following Gist - https://gist.github.com/flexiondotorg/9973385

felixonmars commented on 2014-03-31 07:25

:) I'm also trying to figure out the exact dependencies needed.

brittyazel commented on 2014-03-31 06:12

I see you switched us to downloading the .tar.xz file, rather than the .deb file. Nicely done. It seems to have significantly cleaned up the PKGBUILD and install as well.

brittyazel commented on 2014-03-28 17:06

Try downloading it again. It looks like you only downloaded ~70% of the package before the makepkg kicked in to build it. Which would explain the errors.

acgtyrant commented on 2014-03-28 16:17

==> Retrieving sources...
-> Downloading kingsoft-office_9.1.0.4280~a12p4_i386.deb...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 140M 100 140M 0 0 64773 0 0:37:56 0:37:56 --:--:-- 187k
curl: (18) transfer closed with 1 bytes remaining to read
==> ERROR: Failure while downloading kingsoft-office_9.1.0.4280~a12p4_i386.deb
Aborting...
==> ERROR: Makepkg was unable to build kingsoft-office.

I will eccount this error when I try to update it.

felixonmars commented on 2014-03-20 17:40

@helix
updated, thanks

helix commented on 2014-03-20 16:43

Wouldn't be better if the source line was

source=("http://kdl.cc.ksosoft.com/wps-community/kingsoft-office_$_pkgver.deb")

?

felixonmars commented on 2014-03-20 09:38

Adopted & updated the package. Let me know if there're any issues left :)

bsidb commented on 2014-03-20 08:58

@brittyazel, because Kingsoft Office Linux Team bought a new global CDN to provide better download speed for international user :)

brittyazel commented on 2014-03-20 04:21

Also, I do not know why were were not downloading from the official kingsoft servers before, but the download speeds are MUCH faster as of now. I downloaded the source package at ~600kbps

brittyazel commented on 2014-03-20 04:11

I updated this package with the new .deb link and sha1 code from here:
http://wps-community.org/download.html

I do not have the time to be a permanent maintainer so I am abandoning the package until someone steps up. I hope this gets us going with alpha4 though.

brittyazel commented on 2014-03-20 02:33

Unfortunately it looks as if this package is no longer maintained. We would need a new maintainer to take over to continue using this package. Also, I noticed that there was a tar.gz file listed on the kingsoft office website, why are we extracting from the .deb?

Hexcles commented on 2014-03-19 14:17

404 Not found.

The address on official download page is: http://kdl.cc.ksosoft.com/wps-community/kingsoft-office_9.1.0.4280~a12p4_i386.deb

clerafel commented on 2014-03-19 03:39

actualizo vi en tu codigo un posible problema. en la linea 19 esta:

depends=('lib32-fontconfig' 'lib32-glib2' 'lib32-libpng12' 'lib32-libsm' 'lib32-libxext' 'lib32-libxdmcp' 'lib32-libxrender' 'lib32-libcups' 'lib$

y lo reemplace con el original:

depends=('lib32-fontconfig' 'lib32-glib2' 'lib32-libpng12' 'lib32-libsm' 'lib32-libxext' 'lib32-libxdmcp' 'lib32-libxrender' 'lib32-libcups' 'lib32-glu' 'lib32-libgl')

Instalando...

clerafel commented on 2014-03-19 03:26

Hola he puesto tu instrucción:

# Maintainer: Jove Yu <yushijun110 [at] gmail.com>

pkgname=kingsoft-office
pkgver=9.1.0.4280_Alpha12Patch4
_pkgver=9.1.0.4280~a12p4_i386
pkgrel=1
pkgdesc="Kingsoft Office (WPS Office), is an office productivity suite."
arch=('i686' 'x86_64')
license=("Custom")
url="http://wps-community.org/"
conflicts=('wps-office')
install=${pkgname}.install
source=("http://37.247.55.101/a12p4//${pkgname}_${_pkgver}.deb")
sha1sums=('74809cf403d10dcfbcab96494756d43063b694b6')

if [ "$CARCH" = "i686" ]; then
depends=('fontconfig' 'glib2' 'libpng12' 'libsm' 'libxext' 'libxdmcp' 'libxrender' 'libcups' 'glu' 'libgl')
elif [ "$CARCH" = "x86_64" ]; then
depends=('lib32-fontconfig' 'lib32-glib2' 'lib32-libpng12' 'lib32-libsm' 'lib32-libxext' 'lib32-libxdmcp' 'lib32-libxrender' 'lib32-libcups' 'lib$
fi
depends+=('desktop-file-utils' 'shared-mime-info' 'xdg-utils')

PKGEXT=".pkg.tar"

package()
{
cd "${srcdir}"
tar aJxvf data.tar.lzma -C "${pkgdir}"

# remove chinese fonts from Founder (方正)
#rm -r "${pkgdir}/usr/share/fonts/"
}

Pero la terminal me devuelve error:

/tmp/yaourt-tmp-rodrigo/aur-kingsoft-office/./tmp.BPiALRSnSq: línea 22: EOF inesperado mientras se buscaba un `'' coincidente
/tmp/yaourt-tmp-rodrigo/aur-kingsoft-office/./tmp.BPiALRSnSq: línea 42: error sintáctico: no se esperaba el final del fichero
==> ERROR: Fallo al obtener fuente: /tmp/yaourt-tmp-rodrigo/aur-kingsoft-office/./tmp.BPiALRSnSq

msancho commented on 2014-03-18 22:59

Modificar el archivo PKGBUILD con el siguiente contenido:

# Maintainer: Jove Yu <yushijun110 [at] gmail.com>

pkgname=kingsoft-office
pkgver=9.1.0.4280_Alpha12Patch4
_pkgver=9.1.0.4280~a12p4_i386
pkgrel=1
pkgdesc="Kingsoft Office (WPS Office), is an office productivity suite."
arch=('i686' 'x86_64')
license=("Custom")
url="http://wps-community.org/"
conflicts=('wps-office')
install=${pkgname}.install
source=("http://37.247.55.101/a12p4//${pkgname}_${_pkgver}.deb")
sha1sums=('74809cf403d10dcfbcab96494756d43063b694b6')

if [ "$CARCH" = "i686" ]; then
depends=('fontconfig' 'glib2' 'libpng12' 'libsm' 'libxext' 'libxdmcp' 'libxrender' 'libcups' 'glu' 'libgl')
elif [ "$CARCH" = "x86_64" ]; then
depends=('lib32-fontconfig' 'lib32-glib2' 'lib32-libpng12' 'lib32-libsm' 'lib32-libxext' 'lib32-libxdmcp' 'lib32-libxrender' 'lib32-libcups' 'lib$
fi
depends+=('desktop-file-utils' 'shared-mime-info' 'xdg-utils')

PKGEXT=".pkg.tar"

package()
{
cd "${srcdir}"
tar aJxvf data.tar.lzma -C "${pkgdir}"

# remove chinese fonts from Founder (方正)
#rm -r "${pkgdir}/usr/share/fonts/"




Instala perfectamente!

huiyiqun commented on 2014-03-17 12:10

update please
a12p4 has released

felixonmars commented on 2014-03-17 10:04

9.1.0.4280~a12p4

gurqn commented on 2014-02-16 02:45

Please update with following Europe Repo >>> http://37.247.55.101/a12p3/

hylix commented on 2014-02-05 19:33

This mirror seems to be way more faster (I got 400 Ko/s and im in france)

http://mirrors.hustunique.com/deepin/pool/non-free/k/kingsoft-office/kingsoft-office_9.1.0.4244~a12p3_i386.deb

leafonsword commented on 2013-12-31 03:13

希望能在Description里加上“自带受版权的字体”的介绍,才更有吸引力

timxx commented on 2013-12-08 07:36

There's a download mirror, http://37.247.55.101/a12p3/
Just tested, quite good.

felixonmars commented on 2013-12-04 10:27

9.1.0.4244~a12p3

neoanima commented on 2013-11-30 13:37

@shmilee 可以在纯64位下使用了么?不需要以来一堆lib32的包了吗?

hjst commented on 2013-11-27 11:13

In case anyone else is having trouble (~6kbps transfer, dropped connections) downloading the .deb, there is a mirror (confirmed same SHA1) at the BJTU mirror site:

http://mirror.bjtu.edu.cn/deepin/pool/non-free/k/kingsoft-office/kingsoft-office_9.1.0.4207~a12p2_i386.deb

acgtyrant commented on 2013-10-30 14:35

@shmilee 原来还真自带方正字体,碉堡了。

shmilee commented on 2013-10-29 11:54

@acgtyrant 许可协议 LICENSE 内容取自 http://community.wps.cn/wiki/WPS_Office_Linux%E7%89%88%E6%9C%80%E7%BB%88%E7%94%A8%E6%88%B7%E5%8D%8F%E8%AE%AE
我分享的是方法(此脚本),如果你据此拆包后分发,那确定一定以及肯定是有问题的。

felixonmars commented on 2013-10-28 09:01

9.1.0.4207~a12p2

acgtyrant commented on 2013-10-18 07:21

这个版权方面的没什么问题吗?

westmin commented on 2013-10-17 07:10

I don't want to use Founder font as my system ( DE: LXDE, en_US.utf-8 ) default font. So
delete Founder
- #rm -r "${pkgdir}/usr/share/fonts/"
+ rm -r "${pkgdir}/usr/share/fonts/"
or do not make font scale
- mkfontscale
- mkfontdir
+ # mkfontscale
+ # mkfontdir
but any of the modification will cause WPS can not be set as default applications to open .doc .xls .ppt etc.
right click the target file just to show ''Open With ..."
ps:
$ rm ~/.local/share/applications/mimeapps.list
$ less /usr/share/applications/mimeapps.list
[Default Applications]
application/wps-office.et=/usr/share/applications/wps-office-et.desktop
application/wps-office.ett=/usr/share/applications/wps-office-et.desktop
application/wps-office.xls=/usr/share/applications/wps-office-et.desktop
application/wps-office.xlt=/usr/share/applications/wps-office-et.desktop
application/vnd.ms-excel=/usr/share/applications/wps-office-et.desktop
application/msexcel=/usr/share/applications/wps-office-et.desktop
application/wps-office.xlsx=/usr/share/applications/wps-office-et.desktop
application/wps-office.xltx=/usr/share/applications/wps-office-et.desktop
application/wps-office.dps=/usr/share/applications/wps-office-wpp.desktop
application/wps-office.dpt=/usr/share/applications/wps-office-wpp.desktop
application/wps-office.ppt=/usr/share/applications/wps-office-wpp.desktop
application/wps-office.pot=/usr/share/applications/wps-office-wpp.desktop
application/vnd.ms-powerpoint=/usr/share/applications/wps-office-wpp.desktop
application/vnd.mspowerpoint=/usr/share/applications/wps-office-wpp.desktop
application/powerpoint=/usr/share/applications/wps-office-wpp.desktop
application/wps-office.pptx=/usr/share/applications/wps-office-wpp.desktop
application/wps-office.potx=/usr/share/applications/wps-office-wpp.desktop
application/wps-office.wps=/usr/share/applications/wps-office-wps.desktop
application/wps-office.wpt=/usr/share/applications/wps-office-wps.desktop
application/wps-office.doc=/usr/share/applications/wps-office-wps.desktop
application/wps-office.dot=/usr/share/applications/wps-office-wps.desktop
application/vnd.ms-word=/usr/share/applications/wps-office-wps.desktop
application/msword=/usr/share/applications/wps-office-wps.desktop
application/msword-template=/usr/share/applications/wps-office-wps.desktop
application/wps-office.docx=/usr/share/applications/wps-office-wps.desktop
application/wps-office.dotx=/usr/share/applications/wps-office-wps.desktop
$ reboot

JoveYu commented on 2013-10-17 02:13

that's all right in my notebook, i will check it recently!

westmin commented on 2013-10-17 01:39

the install script does not work.

westmin commented on 2013-10-16 06:20

$ sudo pacman -U kingsoft-office-9.1.0.4184_Alpha12SP1-1-i686.pkg.tar
[sudo] password for billy:
loading packages...
resolving dependencies...
looking for inter-conflicts...

Packages (1): kingsoft-office-9.1.0.4184_Alpha12SP1-1

Total Installed Size: 454.06 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring [##########################################] 100%
(1/1) checking package integrity [##########################################] 100%
(1/1) loading package files [##########################################] 100%
(1/1) checking for file conflicts [##########################################] 100%
(1/1) checking available disk space [##########################################] 100%
(1/1) installing kingsoft-office [##########################################] 100%
error: could not extract usr/share/fonts/wps-office/FZSongS_20100603.TTF (Error reading fd 5)
error: problem occurred while installing kingsoft-office
-----------------------------------------------------------------------
For more info and more troubleshooting visit:
Chinese: http://linux.wps.cn/
English: http://wps-community.org/
-----------------------------------------------------------------------

-----------------------------------------------------------------------
Kingsoft Office (WPS Office), is an office productivity suite.

Kingsoft Office (also named WPS Office) including Writer, Presentation
and Spreadsheets, is a powerful office suite, which is able to process
word file, produce wonderful slides, and analyze data as well. It is
deeply compatible with all of the latest Microsoft Office file formats.
It can easily open and read the documents created with Microsoft Office.

This is the Linux version, and it's now an ALPHA package.
-----------------------------------------------------------------------
error: could not commit transaction
error: failed to commit transaction (transaction aborted)
Errors occurred, no packages were upgraded.

cristie commented on 2013-10-10 01:37

I got this:

==> WARNING: This PKGBUILD describes a splitted package.
==> Specific package options are unknown
==> wpsforlinux dependencies:


but wps works

latelx commented on 2013-10-05 10:21

标题栏用上了自带的UI,终于看起来舒服多了,最大化的还会自动隐藏标题栏,真不错

felixonmars commented on 2013-09-18 09:42

9.1.0.4184~a12p1

shmilee commented on 2013-09-10 11:35

list `pacman -Sgq wpsforlinux`
1) wpsoffice;
2) wpsoffice-common;
3) wpsoffice-en-US;
4) wpsoffice-fonts;
5) wpsoffice-templates-en-US;
6) wpsoffice-templates-zh-CN;
7) wpsoffice-zh-CN;

felixonmars commented on 2013-09-10 09:12

9.1.0.4173~a12

jazzi commented on 2013-09-04 07:36

Excellent, no problem found till now.

kgcf2011 commented on 2013-09-02 13:10

64位 gnome3.8不能用原生对话框吗?

felixonmars commented on 2013-08-06 09:21

9.1.0.4127~a11p3

shmilee commented on 2013-08-02 13:31

http://wps-community.org/forum/viewtopic.php?f=4&t=66
After Kingsoft-office available for the 'x86_64' architecture, wpsoffice should have arch=('i686' 'x86_64').

felixonmars commented on 2013-07-23 12:59

9.1.0.4111~a11p2

timxx commented on 2013-07-12 09:45

There is a new patch version (9.1.0.4096)

JoveYu commented on 2013-07-11 14:24

so do you notice the '#' for the comment ? and if you are not a chinese ,maybe you needn't those fonts!

m13253 commented on 2013-07-11 14:15

Why do you delete the fonts files?
I don't think they have copyright issues distributing with kingsoft-office package.

qpalz commented on 2013-07-08 12:55

Well... I am faked...

Both of them are the same... There are no difference between i386.deb and i686.rpm...

qpalz commented on 2013-07-08 12:20

Why not use http://wdl.cache.ijinshan.com/wps/download/Linux/unstable/kingsoft-office-9.1.0.4032-0.1.a10.i686.rpm?

Diego commented on 2013-07-05 09:48

Please translate the PKGBUILD in English

sirocco commented on 2013-07-05 08:37

International url: http://wps-community.org/

caseyjp1 commented on 2013-07-05 01:19

why build with the i386 variant when the 686 deb is out?

shmilee commented on 2013-06-26 15:57

@hagabaka
1)Error with 'i686' architecture: DONE.
2) For wpsoffice, if arch=('i686' 'x86_64'),then you will get 2 pkgs:
wpsoffice-9.1.0.4032~a10-1-i686.pkg.tar.xz
wpsoffice-9.1.0.4032~a10-1-x86_64.pkg.tar.xz
They contain same files,and differ in depends only. Because of the long time of compression and their size, I add wpsoffice-common to deal with the depends of wps-office. I know namcap will gives many warnning about that.

theOptimizedCode commented on 2013-06-24 10:57

@JoveYu

That worked! However, that shouldn't have happened in the first place!

hagabaka commented on 2013-06-24 10:13

Actually since wpsoffice-common only contains the license, it should have arch=('any'), and wpsoffice should have ('i686' 'x86_64').

hagabaka commented on 2013-06-24 09:41

I got:
==> ERROR: wpsoffice-en-US-templates is not available for the 'i686' architecture.
==> ERROR: wpsoffice-zh-CN-templates is not available for the 'i686' architecture.
==> ERROR: wpsoffice-en-US is not available for the 'i686' architecture.
==> ERROR: wpsoffice-zh-CN is not available for the 'i686' architecture.
==> ERROR: wpsoffice is not available for the 'i686' architecture.

Adding arch=('any') to all the package_ functions worked. I'm using pacman 4.1.2-1 from [testing].

shmilee commented on 2013-06-24 09:25

This is a split kingsoft-office package, which is different from kingsoft-office package in AUR.
After run makepkg, you will get 7 pkgs in group wpsforlinux:
1) wpsoffice;
2) wpsoffice-common;
3) wpsoffice-en-US;
4) wpsoffice-en-US-templates;
5) wpsoffice-fonts;
6) wpsoffice-zh-CN;
7) wpsoffice-zh-CN-templates;
Minimal installation is 1 2 and a langpack, 3 or 6.

shmilee commented on 2013-06-24 09:20

This is a split kingsoft-office package, which is different from kingsoft-office package in AUR.
After run makepkg, you will get 7 pkgs in group wpsforlinux:
1) wpsoffice;
2) wpsoffice-common;
3) wpsoffice-en-US;
4) wpsoffice-en-US-templates;
5) wpsoffice-fonts;
6) wpsoffice-zh-CN;
7) wpsoffice-zh-CN-templates;
Minimal installation is 1 2 and a langpack, 3 or 6.

JoveYu commented on 2013-06-24 01:13

that is rare problem,maybe the command below can help you

$ TMPDIR=/home/jove yaourt -S kingsoft-office

JoveYu commented on 2013-06-24 01:12

that is rare probleb,maybe the command below can help

$ TMPDIR=/home/jove yaourt -S kingsoft-office

theOptimizedCode commented on 2013-06-23 20:29

Still running into the same issue as the other person who posted below. Running into the 'No space left on device'. And no, pointing to another temp folder location doesn't fix it.

JoveYu commented on 2013-06-20 05:54

lib32-libcups depend on lib32-libtiff

could you upload you .ppt file with problem? or email it to me !

JoveYu commented on 2013-06-20 05:46

lib32-libcups depend on lib32-libtiff

JoveYu commented on 2013-06-20 04:51

@mervinb can you upload this .ppt file ,or email it to me ?

Anonymous comment on 2013-06-20 03:00

Thanks for this package. It renders Office documents much better than LibreOffice.

I have a .ppt file which has a tiff logo. The logo does not appear. Is this a kingsoft issue or could it be that a lib32-libtiff dependency is missing? There is no error message when I run wpp from the command line though.

babycalf commented on 2013-06-13 06:35

我从wps主页下载了,xz包怎么打包用pacman 安装啊 有人可以教我下么.

py_crash commented on 2013-05-27 21:15

Your package seems a duplicate from https://aur.archlinux.org/packages/kingsoft-office/

py_crash commented on 2013-05-27 21:15

Your package seems a duplicate from https://aur.archlinux.org/packages/wpsforlinux/

JoveYu commented on 2013-05-25 14:30

in order to completing some functions, such as encryption,kingsoft use a depth customized QT ,it can not be replaced by system-default QT .

kingsoft try to submit their branch of qt to the upstream, maybe it will be possible someday

BrLi commented on 2013-05-25 12:44

is it possible to use system-default qt?

lilydjwg commented on 2013-05-23 15:33

mikronimo: Your /tmp mounts on a tmpfs filesystem which is by default half of your RAM. To tell yaourt (or some other tool?) to use other place as a temporary directory, set $TMP, e.g.

TMP=/var/tmp yaourt -S kingsoft-office

BTW, if you find your running building will soon run out of space in /tmp, you can loose the limit by remounting:

mount -o remount,size=8G /tmp

mikronimo commented on 2013-05-23 15:22

I'm trying to install (apart that it take a lot of time to download and sometime the dowload stops at all), but during the attempting to build up, the system complains that there is not enough more space in the device (I have plenty of it, over 10 Gb, in my root), and the building stops; any idea on how solve the problem? Thanks in advance.

latelx commented on 2013-05-17 06:30

alpha10 is out

Anonymous comment on 2013-05-17 04:42

我的错。2012皮肤配色和系统配色太接近了,没注意看,其实都有。。。

JoveYu commented on 2013-05-17 03:53

不太明白 能来张截图吗?

Anonymous comment on 2013-05-17 02:27

不过black theme选择之后上面会多出一块

JoveYu commented on 2013-05-17 02:23

the black theme of wps2013 is really cool

JoveYu commented on 2013-05-17 02:23

the black theme of wps2013 is really cool

JoveYu commented on 2013-05-17 02:20

the black theme of wps2013 is really coll

mytbk commented on 2013-05-16 23:26

估计是不是需要向aur-general发个改名请求了。

MichaelChou commented on 2013-05-16 16:34

Alpha10 released, and package name changed to kingsoft-office

JoveYu commented on 2013-05-16 05:34

when i use LANG=en_US.UTF-8 in local.conf ,wps and fcitx work well

zcchen commented on 2013-05-16 03:42

For some fcitx users under English locale, who cannot turn on fcitx to input Chinese, it is possible to type Chinese after editting the file "/usr/bin/wps" as below:

@@ -46,4 +46,4 @@
run "$@"
}

-main "$@"
+LC_CTYPE=zh_CN.UTF-8 && main "$@"

Anonymous comment on 2013-05-09 14:55

Oups sorry, didn't noticed that.

JoveYu commented on 2013-05-09 14:47

8.1.0.3724~b1p2
8.1.0.3842~a9p1

JoveYu commented on 2013-05-03 00:20

yeah i hava fixed it ,it's my mistake! :)

Anonymous comment on 2013-05-02 09:29

a space should be added in wps-office.install before first "application-wps-office.docx".

JoveYu commented on 2013-04-18 04:16

if you need a compressed package you can delete PKGEXT from PKGBUILD,i don't care !but most of us need less time to make this package for Installation!

xgdgsc commented on 2013-04-18 02:37

AUR is mostly intended for individual users.The compression time is unbearable. Rarely do we transfer packages to others. You can compress yourself if you want.

lilydjwg commented on 2013-04-18 02:11

@JoveYu: What if I package it and transfer it to others via Internet or intranet? Yes, it takes a significant time to compress. But it takes much more for others to download. That's the issue I'm addressing.

schivmeister commented on 2013-04-17 23:58

Why does this mess with PKGEXT? What possible benefit is there by creating an uncompressed tar package that's inflated in size (compression only needs a little extra time)? Also, it needs many other programs post-install.

Excellent software, though. Looks like it can eat all the other free office suites for breakfast, lunch and dinner. I've particularly always been annoyed by Java :)

为什么你干扰PKGEXT的?这么胖(只需要时间压缩)压缩的tar包是否有任何好处吗?安装后还需要很多其他的东西。

但是,这是伟大的软件。它可以吃早餐,午餐和晚餐,所有其他的免费替代品。我一直由Java干扰。 (谷歌翻译)

JoveYu commented on 2013-04-15 04:25

I install this package using yaourt ,no error found
once this package moved to [community] ,i will delete PKGEXT

lilydjwg commented on 2013-04-14 14:39

This package changes PKGEXT, which will make packaging for others problematic.

JoveYu commented on 2013-04-09 09:28

it seems not.

BrLi commented on 2013-04-09 08:11

can you use system's native qt?
those in wps just don't fit in with system's themeing

JoveYu commented on 2013-04-07 08:14

@ukyoi 没事 谢谢你关注这个包 如果以后过期还请标记出来 提醒我

ukyoi commented on 2013-04-07 08:05

抱歉……我没搞清楚WPS Alpha和Beta之间的关系,所以错误标记了过期,现在无法取消了,有劳您手工取消一下。

xgdgsc commented on 2013-04-01 15:25

@senorsmile
cd /opt/kingsoft/wps-office/office6/2052
sudo rm qt.qm wps.qm wpp.qm et.qm
according to: http://mosayanvala.wordpress.com/2013/03/04/wps-for-linux-first-impressions/

senorsmile commented on 2013-04-01 14:30

how do you set this to english?

JoveYu commented on 2013-04-01 10:08

其实10k的不只是教育网 我这里也好不到哪

JoveYu commented on 2013-04-01 10:06

这个吧 我会告诉你迅雷下的快吗? 我都是考过来的

Red54 commented on 2013-04-01 09:58

上个图,一个小时前发的微博图片:
http://t2.qpic.cn/mblogpic/db1c5d2ccd727be4a5d2/2000
现在下载了两个多小时还不到百分之七十,我的手已经摸到西瓜刀了!!!

JoveYu commented on 2013-04-01 09:47

其实吧10k的网速 我表示压力比较大 这个跟金山反应下cdn问题吧 deb也是压缩包 大自然有大的理由 里面文件全一些 我其实有个想法 找几个开源镜像网站同步下 教育网相信就会好些

Anonymous comment on 2013-04-01 09:26

@Red54 ,.deb会有桌面图片,程序组这些快捷方式,不会缺失一些必要的依赖,还有其他优点。

Red54 commented on 2013-04-01 08:36

为何有121.1M的wps-office_8.1.0.3842~a9p1_x86.tar.xz不用,偏要用154.4M的wps-office_8.1.0.3842~a9p1_i386.deb??!!

你可考虑过只有10K网速的校园网用户??!!

bsidb commented on 2013-03-31 00:23

a9p1已出

JoveYu commented on 2013-03-22 14:15

依我的使用 wps还是比较稳定的 少数bug在可接受范围 加上更新并不频繁 目前主要依版本号更新 以后发行稳定了 可以考虑这样分包!

Anonymous comment on 2013-03-22 13:48

按照bbs上说的,我估摸着得分2个包来维护了,一个稳定版,一个开发版

BrLi commented on 2013-03-10 08:47

可以使用系統qt嗎?
否則主題似乎不搭

JoveYu commented on 2013-03-10 07:51

大小写问题 我也发现了 亲们 已修改打包速度明显提升

Anonymous comment on 2013-03-09 12:06

@bsidb 好的,谢谢,下次一定试试。

bsidb commented on 2013-03-09 01:51

TO:所有被再次压缩困扰的童鞋们
将PKGBUILD文件中的pkgext="..."改成PKGEXT="..."。这个需要大写~大写以后就不会发生压缩包的问题了,亲测过~

bsidb commented on 2013-03-09 01:51

TO:所有被再次打包困难的童鞋们
将PKGBUILD文件中的pkgext="..."改成PKGEXT="..."。这个需要大写。大写以后就不会发生再打包的问题了,亲测过~

timxx commented on 2013-03-08 11:09

@jr0501 是啊,解压加再压,跟蜗牛一样。。。表示不太懂arch打包帮不上忙。。。

Anonymous comment on 2013-03-08 11:06

==> 正在创建软件包...
-> 正在生成 .PKGINFO 文件...
-> 正在添加 install 文件...
-> 正在压缩软件包...

能否不要压缩?太费时间了。

jose1711 commented on 2013-02-23 14:30

3,18KB/s est 11h 13m
i think what this pkgbuild needs is a fast european mirror..

JoveYu commented on 2013-02-20 10:44

catalyst-utils and nvidia-utils provide libgl to Arch,it means they can replace libgl in your system!

i don't hava a computer using catalyst-utils or nvidia-utils,anyone help?

Blask commented on 2013-02-14 06:31

==> 正在安装缺少的依赖关系...
正在解决依赖关系...
正在查找内部冲突...
:: libgl 与 nvidia-utils 有冲突。删除 nvidia-utils 吗? [y/N]

JoveYu commented on 2013-02-08 07:25

@xgdgsc 我误解了意思,以为说的是上游的包

JoveYu commented on 2013-02-08 07:23

@xgdgsc 我误解了 我以为说的是上游的包 你说的是打包的格式啊

xgdgsc commented on 2013-02-08 02:08

@JoveYu
PKGEXT=".pkg.tar"
加到PKGBUILD就可以让它不压缩最后生成的包,节约时间。

JoveYu commented on 2013-02-07 16:32

@cuihao 不明白你的意思 这个包是利用deb包生成的 没有用到官方xz包

JoveYu commented on 2013-02-07 15:35

@cuihao 不明白你的意思 这个包是利用deb包生成的 没有用到官方xz包

cuihao commented on 2013-02-07 14:58

As the package is very large and compression takes much time, I suggest to use tar (without compression) package instead of default xz package. You can read this PKGBUILD as an example: https://aur.archlinux.org/packages/jr/jre/PKGBUILD
软件包太大,生成xz压缩包时太费时间,建议用tar打包。

xgdgsc commented on 2013-02-05 13:36

@jose1711 @suokunlong
I've already posted here but it didn't get any reply from developers.
http://bbs.wps.cn/thread-22359248-1-1.html

xgdgsc commented on 2013-02-05 13:06

@jose1711 @suokunlong
I've already posted here but it didn't get any reply from developers.
http://bbs.wps.cn/thread-22359248-1-1.html

jose1711 commented on 2013-02-05 06:21

@suokunlong: thank you. well i am actually getting this: http://www.imagebanana.com/view/el2t8wih/wps_beta1_archlinux.png instead of http://www.imagebanana.com/view/azcrjrdb/wps_windows_xp.png

Anonymous comment on 2013-02-05 03:35

@jose1711 , I speak chinese and I'm trying to report it, but I am not sure what do you mean by "broken rendering" of that docx. Would you pls make a screenshot, thanks.

billryan commented on 2013-02-04 04:05

build error...
On my X64 versions, it shows "cannot find object file : lib32-libpng12 "
I hope that wps-office will come with native 64-bit support as soon as possible. WPS is great !

Thank you. :)

JoveYu commented on 2013-02-03 11:29

@felixonmars good idea,I will contact with them to discuss the license

xgdgsc commented on 2013-02-02 11:59

@Havanna It cannot be true. Should be lib32-glu.

Anonymous comment on 2013-02-02 03:45

please add the version 8.1.0.3718 of wps-office's dependence: lib32-libglu-git

xgdgsc commented on 2013-02-01 13:02

http://community.wps.cn/download/
http://wdl.cache.ijinshan.com/wps/download/Linux/unstable/wps-office_8.1.0.3718~b1_i386.deb
SHA1SUM: d666bef53d8db8a8d30c296510daa146335d013f

jiehanzheng commented on 2013-01-31 22:07

I don't know why but it won't launch until I reinstall the following:
* lib32-libx11
* lib32-freetype2
* lib32-libice

jose1711 commented on 2013-01-31 16:40

could someone speaking chinese please report (slightly) broken rendering of this document http://people.freedesktop.org/~vmiklos/2012/docx-demo/3.6/vml.docx when compared to KSO/WPSO in windows? cheers, jose

felixonmars commented on 2013-01-31 16:23

@JoveYu
I'm gonna move this package to [community] once we got proper license from Kingsoft, any ideas?

Anonymous comment on 2013-01-31 15:17

@JoveYu yeah, it works now. Thanks for your quick fix.

Anonymous comment on 2013-01-31 14:57

@ JoveYu: Yeah, you are right, after checking the extracted stuff of the .tar.xz package I found the same thing--it is not as complete and therefore should not be implemented as an appropriate source to build from. The PKGBUILD and install process for wps-office needs only copying the files to their corresponding places, and the .deb package just fits this purpose well. Thanks for the clarification.

JoveYu commented on 2013-01-31 10:40

.tar.xz file don't provide enough file for a package ,like icons , .desktop file , mine ...
if you use .tar.xz file to build this package,you still need to extract these files from deb package

wps-office need not you to use MAKE ,so deb package make it much easier to makepkg

JoveYu commented on 2013-01-31 09:55

for next release ,i will try to use .tar.xz to makepkg

Auguste commented on 2013-01-31 08:25

sorry, that's a typo. what upstream provides is a .tar.xz file.

Auguste commented on 2013-01-31 08:25

why not use the .tar.gz package provided by upstream directly?

we can put the source in noextract array and extract the content only once.

Anonymous comment on 2013-01-31 07:39

@ JoveYu: Yes, so could you just alter the sha1sums in the PKGBUILD and add the dep 'lib32-libcups'? These two are bugs already known. Thx~

JoveYu commented on 2013-01-31 07:21

I makepkg yesterday ,it seems work well , I think the deb package has been updated by kingsoft

JoveYu commented on 2013-01-31 07:12

i makepkg yesterday,it seems work well ,i think package has been updated by kingsoft

Anonymous comment on 2013-01-31 05:36

Also @archlyx : the dependency to add is named 'lib32-libcups'. And @jiehanzheng : Check the comments below about changing the SHA1SUM line in PKGBUILD.

jiehanzheng commented on 2013-01-31 04:13

I keep getting this error message:
==> Validating source files with sha1sums...
wps-office_8.1.0.3703~b1_i386.deb ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build wps-office.


Perhaps the checksums are incorrect?

Anonymous comment on 2013-01-31 03:17

Could anybody kindly give a reason why the deb package is used instead of the official tar.xz package? Shouldn't the tar package be better for compiling purposes? The URL: http://wdl.cache.ijinshan.com/wps/download/Linux/unstable/wps-office_8.1.0.3703~b1_x86.tar.xz

Anonymous comment on 2013-01-31 03:13

as below, sha1sums should be updated.

xgdgsc commented on 2013-01-31 02:05

The sha1sums need to be changed:

sha1sums=('3153561ddfce4cb74326dc7cb7b50d197d7ad428')

Anonymous comment on 2013-01-30 22:04

Also it looks like the lib32-cups should be added as optional depends, otherwise you will receive a popout saying "libcups" needed.

Anonymous comment on 2013-01-30 20:59

The sha1sums need to be changed:

sha1sums=('3153561ddfce4cb74326dc7cb7b50d197d7ad428')

JoveYu commented on 2013-01-30 17:41

更新beta1版 社区现在也对外开放 更多信息查看 http://community.wps.cn/

JoveYu commented on 2013-01-30 17:29

@jose1711 http://community.wps.cn/
or http://bbs.wps.cn/forum-wpslinux-1.html

jose1711 commented on 2013-01-30 17:24

where can i report bugs?

m13253 commented on 2013-01-30 16:29

看到 linux.wps.cn 主页上面多了一个「下载」链接(看不到的同学 Ctrl-F5)
应该是 Beta1 发布了,请更新。

JoveYu commented on 2013-01-28 03:00

http://www.kuaipan.cn/file/id_26439651170549166.htm will help makepkg

ivenvd commented on 2013-01-28 01:09

404 error when downloading. Please check the URL.

JoveYu commented on 2013-01-27 13:13

if meet 404 page,this address will help you makepkg

http://www.kuaipan.cn/file/id_26439651170549166.htm

JoveYu commented on 2013-01-27 11:28

so busy this weekend !sorry for update later!

Anonymous comment on 2013-01-26 13:48

Agree with cuihao's suggestion. limser and JoveYu should work together to make this PKGBUILD better. Looking forword WPS be in arch community repo one day.

Anonymous comment on 2013-01-26 13:44

Alpha8SP3 is out on Jan 25 CST, will JoveYu please update this PKGBUILD?

xgdgsc commented on 2013-01-25 10:58

http://wdl.cache.ijinshan.com/wps/download/Linux/unstable/wps-office_8.1.0.3670~a8p3_i386.deb
e80d3599ef8f10197b06cb265cbc7a3085fb3988

Anonymous comment on 2013-01-25 05:47

Seems a lot of Chinese comments here.

I advice you guys post your comments in English (if possible) so Non-Chinese speakers can understand. This will help WPS to be known by more people and become internationalized.

建议各位用英语发布评论,这样会有更多人了解WPS。

mengjiao commented on 2013-01-21 04:15

话说把Description写详细点吧,比如加上一些wps的主要用户、特色功能等

mengjiao commented on 2013-01-21 04:13

要求不高的话基本上可以用了,期待Beta和正式版

cuihao commented on 2013-01-17 08:09

https://aur.archlinux.org/packages/wps-office/ 重复了,建议沟通一下,删除其中一个。

xgdgsc commented on 2013-01-17 03:33

http://wdl.cache.ijinshan.com/wps/download/Linux/unstable/wps-office_8.1.0.3620~a8p2_i386.deb

JoveYu commented on 2013-01-09 03:53

可以参考http://bbs.wps.cn/thread-22343002-1-1.html

JoveYu commented on 2013-01-09 03:49

ibus的问题是官方已知问题推荐使用fcitx

Anonymous comment on 2013-01-09 03:36

ibus,可以调出输入法,但是敲键盘只出现英文,不会出现选词窗口

shmilee commented on 2013-01-08 10:44

从a8p1开始,地址应该可以公布了

JoveYu commented on 2012-12-30 07:04

其实这个包的地址本来就不是什么秘密,那个地址一直就没变过,如果你求过两次包就可以发现规律,每次看看发型注记 看看文件名就可以安心的去下载了

lightning1141 commented on 2012-12-30 04:10

source=("http://wdl.cache.ijinshan.com/wps/download/Linux/unstable/${pkgname}_${_pkgver}.deb")
改了吧, 反正快 beta 了...

xgdgsc commented on 2012-12-30 02:58

@mytbk 真的啊,哈哈。懒得下了,等公测吧。

mytbk commented on 2012-12-30 02:26

原来a7的地址知道了,a8的就能推出来了。

mytbk commented on 2012-12-30 01:12

alpha8的PKGBUILD都出来了,但是官方论坛都没发包啊。那些求到a7p1的包的还要改PKGBUILD,太麻烦了。

JoveYu commented on 2012-12-26 02:19

@jose1711 this package is an office software developed by Kingsoft,and it is an alpha edition now ,so Kingsoft only provide the deb package to some of people ,the deb package URL is wrong,i hava sent e-mail to you with the deb package!

jose1711 commented on 2012-12-25 12:17

hey all, could anyone please summarize what's the deal? google translate suggests there is some problem w/ this pkgbuild, but i could not really understand which. thanks, jose

JoveYu commented on 2012-12-12 02:51

@bsidb 说的对 wps是个好软件,为了不给开发人员带来不必要的麻烦还是不公布地址了吧 必定打包还是按别人的协议来的好 a8完后就会出b1了 倒是公测 会第一时间更新的 大家现在还是委屈点的 已经知道的就低调点吧 如果实在找不到可以email我

JoveYu commented on 2012-12-12 02:44

@qufeu9 我这里关联都没问题 希望你可以调整下默认关联程序!

bsidb commented on 2012-12-12 01:14

楼主还是不要写地址比较好,毕竟WPS For Linux还不是公开版,发包的帖子已经严正声明不要大家公开这个下载地址.
既然已经向WPS申请了包,就要遵循他们定下的规则,否则就会失信于人.如果被金山的员工发现,这会影响Arch用户在WPS For Linux论坛的形象.
这种行为不是什么好行为.
WPS官方之所以不公开发行,主要是想内部测试时不想让太多的小白用户参与.如果这个地址被别人搞到,不能确保不会发生大规模泄露的事情,搜索引擎也会爬到这个地址,所以还请包主三思.

qifei9 commented on 2012-12-11 16:43

wps的word总是无法关联到文件……

qifei9 commented on 2012-12-11 16:27

wps的word总是无法关联到文件……

JoveYu commented on 2012-12-11 15:31

@limser 谢谢你的意见 已经修复了
如果有更好的PKGBUILD或建议可以提出来!

shmilee commented on 2012-12-11 14:14

@JoveYu 就几个小细节提三个建议:
1.描述可以改一改了,三组件齐全了。
2.依赖可以看看wiki改改,现在写的是A5的,我没记错的话。
3.表格图标a7p1不用修复,重复了。

shmilee commented on 2012-12-11 14:14

@JoveYu 就几个小细节提三个建议:
1.描述可以改一改了,三组件齐全了。
2.依赖可以看看wiki改改,现在写的是A5的,我没记错的话。
3.表格图标a7p1不用修复,重复了。

JoveYu commented on 2012-12-11 13:51

更新alpha7SP1 具体情况参考http://bbs.wps.cn/thread-22352741-1-1.html

没别的 有一点说下。。wps越来越多人使用,包已经不再是什么秘密,这里我写出包的地址,希望大家低调点,我可不想被一纸诉状告上南山法院。。。。必定arch用户比例应该不算太大,方便下arch的兄弟们,如果严重的话 那下一个版本我还是匿了吧。。。。

shmilee commented on 2012-12-02 17:37

aur有点笨,下次我把方正字体放前面。
有问题可以查看WIKI:http://community.wps.cn/wiki/%E9%A6%96%E9%A1%B5

JoveYu commented on 2012-11-30 17:40

更新alpha7 简单修复了一个已知问题,表格的图标问题

具体情况参考http://bbs.wps.cn/thread-22351621-1-1.html

有需要的还是去求个包,虽然现在包满大街都是了,不过还是按着别人规矩来吧!

JoveYu commented on 2012-10-31 10:40

@limder 谢谢反馈 修改依赖,不是什么大变化,没改变版本号,已安装的就不用升级了!

JoveYu commented on 2012-10-31 10:35

@mengjiao 版权问题就不打包了,有需要可以自己去拷贝 参考http://bbs.wps.cn/thread-22343002-1-1.html

然后更新字体缓存应该就可以了

mengjiao commented on 2012-10-31 07:16

成功安装,感谢JoveYu!
请问能不能把一些微软有版权的符号字体给打包供wps用啊?否则有一些公式会乱码。

论坛中的讨论帖子:
http://bbs.wps.cn/forum.php?mod=viewthread&tid=22331279
http://bbs.wps.cn/forum.php?mod=viewthread&tid=22325411
http://bbs.wps.cn/forum.php?mod=viewthread&tid=22322113
http://bbs.wps.cn/forum.php?mod=viewthread&tid=22338009

shmilee commented on 2012-10-30 14:00

忘说了,还有一个小细节,libjpeg6软件包自己带了,也可以去掉的,或者包里的去掉。

JoveYu commented on 2012-10-30 11:44

@limser 已修正

shmilee commented on 2012-10-30 05:46

libpulse依赖 libsm libxext,可以简化掉

JoveYu commented on 2012-10-29 11:42

@mengjiao my forum ID is JoveYu or awq123

JoveYu commented on 2012-10-29 11:35

@mengjiao my forum ID is JoveYu or awq123

mengjiao commented on 2012-10-29 11:18

By the way, what's you forum ID in bbs.wps.cn?

mengjiao commented on 2012-10-29 11:17

Thanks very much!
Waiting to get the package tomorrow!
Hahahhhh

JoveYu commented on 2012-10-29 10:58

更新alpha6 详细情况可见官方注记http://bbs.wps.cn/thread-22348516-1-1.html

更新依赖关系,可能不正确或者缺失,希望大家多指正!

按官方的要求,不提供包的下载地址,需要的可以去http://bbs.wps.cn/thread-22348552-1-1.html 求个包
然后和PKGBUILD,wps-office.install放一起,执行makepkg打包
执行pacman -U wps-office-..........安装

xzy3186 commented on 2012-09-30 12:23

You need to add libpng12 (AUR) as dependencies.

JoveYu commented on 2012-09-29 10:17

不提供软件包的地址,软件还不够稳定,有需要的去 http://bbs.wps.cn/thread-22342887-1-1.html 求个包

和PKGBUILD放一起打包就可以了 有什么问题可以提出来